Naar hoofdinhoud
weighings

Update an existing weighing.

PUT
/weighing/{weighingId}
X-API-Keystringheaderverplicht
weighingIdstringverplicht

The id of the weighing to perform the action on.

Body

application/json

Weighing object.

client_custom_namestring

The name of the client of this weighing when no existing client is selected.

client_idinteger

The ID of the client (klant) of this weighing, which is taken from the vehicle when left empty.

created_atstring

The date and time this weighing was created.

created_byinteger

The ID of the backend user who created this weighing, or 0 when it was not created by a backend user.

cubic_metersstring

The optional volume of this weighing in cubic meters (m³), used for prices per cubic meter. Returned as a numeric string, e.g. "12.50".

datestringverplicht

The date and time of this weighing.

deleted_atstring

The date and time this weighing was deleted, empty when it is not deleted.

deleted_byinteger

The ID of the backend user who deleted this weighing, or 0 when it was not deleted by a backend user.

descriptionstring

The description of this weighing.

idintegerverplicht

The ID of this weighing.

invoicedinteger

Whether this weighing is invoiced. Returned as 1 (yes) or 0 (no).

licenseplatestring

The license plate of the vehicle of this weighing.

numberstring

The unique number of this weighing, which is generated when left empty.

order_idinteger

The ID of the order (project) of this weighing.

payment_typestring

The payment method of this weighing, either 'cash' or 'invoice' (on account).

processedinteger

Whether this weighing is processed. Returned as 1 (yes) or 0 (no).

task_idinteger

The ID of the task (bon) of this weighing, which is matched on the vehicle and date when left empty.

typestring

The type of this weighing, either 'in' or 'out'.

updated_atstring

The date and time this weighing was last updated.

updated_byinteger

The ID of the backend user who last updated this weighing, or 0 when it was not updated by a backend user.

vehicle_custom_namestring

The name of the vehicle of this weighing when no existing vehicle is selected.

vehicle_idinteger

The ID of the vehicle of this weighing, which is matched on the license plate when left empty.

weighbridge_idinteger

The ID of the weighbridge of this weighing, which defaults to the first weighbridge.

weight_afterstring

The second (lowest) measured weight of this weighing in kilograms; the net weight is weight_before minus weight_after. Returned as a numeric string, e.g. "12.50".

weight_beforestring

The first (highest) measured weight of this weighing in kilograms. Returned as a numeric string, e.g. "12.50".

weight_type_custom_namestring

The name of the weight type of this weighing when no existing weight type is selected.

weight_type_idinteger

The ID of the weight type (weegsoort) of this weighing, which defaults to the first weight type.

Antwoord

application/json

Successful operation.

dataobject

The result message and the result data.

statusstring

The result status, success.